<?php
    global $adMangler;
    if (isset($_POST['username']))
    {
        if ($confirm = $adMangler->SetConfirmationKey())
        {
            $showMessage1 = true;
            $emailMessage = "This will be the password reset email! http://" . $confirm['key'] ;
            $emailMessage  = "You or some one has recently requested a password reset for your AdMangler account on the website ".$_SERVER['SERVER_NAME'].".\n ";
            $emailMessage .= "If you would like to reset the password for this account you can use the following link:\n\n";
            $emailMessage .= "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'] . "&key=" . $confirm['key'] ."\n\n";
            $emailMessage .= "If you did not request a password reset then there is no need to do anything.\n Thanks!";
            mail($confirm['email'], "Reset AdMangler Password for ".$_SERVER['SERVER_NAME']."!", $emailMessage);
        }
    }
    
    if (isset($_POST['password']) && isset($_POST['password2']))
    {
        if ($adMangler->ResetPassword())
        {
            $showMessage2 = true;
        }
    }
?>
<style type="text/css">
    dl { clear:both; padding:3px; }
    dt { float:left; width:125px; text-align:right; padding:0px 5px; margin:0px; }
    dd { float:left; text-align:left; padding:0px; margin:0px; }
    label { width: 10em; float: left; text-align:right; }
    label.error { float: none; color: red; padding-left: .5em; vertical-align: top; }
</style>
<?php if (isset($showMessage1)): ?>
    <h3>Reset Password</h3>
    <p>
        An email with information on how to reset your password has been sent to the email address on file!
        Please check your email to reset your password! Thanks!
    </p>
<?php elseif (isset($showMessage2)): ?>
    <h3>Reset Password</h3>
    <p>
        Your password has been reset!
        <meta http-equiv="refresh" content="3;url=?action=login"/>
    </p>
<?php elseif (isset($_GET['key']) && $adMangler->ValidConfirmationKey()): ?>
    <script type="text/javascript">
        var $j = jQuery.noConflict(); // Added for compatibility
        $j(document).ready(function(){
            $j("#AdManglerResetPasswordForm").validate();
        });
    </script>
    <h3>Register</h3>
    <form action="" method="post" id="AdManglerResetPasswordForm">
        <dl>
            <dt><label>New Password:</label></dt>
            <dd><input type="password" name="password" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>New Password Again:</label></dt>
            <dd><input type="password" name="password2" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>&nbsp;</label></dt>
            <dd><button type="submit">Submit</button></dd>
        </dl>
    </form>
<?php else: ?>
    <script type="text/javascript">
        var $j = jQuery.noConflict(); // Added for compatibility
        $j(document).ready(function(){
            $j("#AdManglerResetPasswordForm").validate();
        });
    </script>
    <h3>Reset Password</h3>
    <form action="" method="post" id="AdManglerResetPasswordForm">
        <dl>
            <dt><label>Username:</label></dt>
            <dd><input type="text" name="username" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>&nbsp;</label></dt>
            <dd><button type="submit">Reset</button></dd>
        </dl>
    </form>
<?php endif; ?>
