<?php
    global $wpdb,$adMangler;
    if (    isset($_POST['username']) && 
            isset($_POST['password']) &&
            isset($_POST['password2']) &&
            isset($_POST['email'])
        )
    {
        if ($reg = $adMangler->Register() && $confirm = $adMangler->SetConfirmationKey())
        {
            $showMessage1 = true;
            $emailMessage  = "You or some one has recently signed up for an AdMangler account on the website ".$_SERVER['SERVER_NAME'].".\n ";
            $emailMessage .= "If you would like to activate this account you can use the following link to activate your account\n\n";
            $emailMessage .= "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'] . "&key=" . $confirm['key'] ."\n\n";
            $emailMessage .= "If you did not request an account then there is no need to do anything.\n Thanks!";
            mail($confirm['email'], "Activate Your AdMangler Account on ".$_SERVER['SERVER_NAME']."!", $emailMessage);
        }
        else if (!$reg)
            echo "<h3 style=\"color:red;\">Please select another Username the one you choose is not available!</h3>";
    }

    if (isset($_GET['key']))
    {
        if ($adMangler->ConfirmRegistration())
            $showMessage2 = true;
    }

?>
<?php if (isset($showMessage1)): ?>
    <h3>Confirmation Email Sent</h3>
    <p>
        An email has been sent to the email provided during registration! 
        <br />
        You must follow the instructions in this email to activate your account.
    </p>
<?php elseif (isset($showMessage2)): ?>
    <h3>Registration Confirmed</h3>
    <p>
        Your AdMangler account has been activated! You may now login.
    </p>
    <meta http-equiv="refresh" content="2;url=?action=login"/>
<?php else: ?>
    <style type="text/css">
        dl { clear:both; padding:3px; }
        dt { float:left; width:125px; text-align:right; padding:0px 5px; margin:0px; }
        dd { float:left; text-align:left; padding:0px; margin:0px; }
        label { width: 10em; float: left; text-align:right; }
        label.error { float: none; color: red; padding-left: .5em; vertical-align: top; }
    </style>
    <script type="text/javascript">
        var $j = jQuery.noConflict(); // Added for compatibility
        $j(document).ready(function(){
            $j("#AdManglerRegisterForm").validate();
        });
    </script>
    <h3>Register</h3>
    <form action="" method="post" id="AdManglerRegisterForm">
        <dl>
            <dt><label>Username:</label></dt>
            <dd><input type="text" name="username" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>Password:</label></dt>
            <dd><input type="password" name="password" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>Password Again:</label></dt>
            <dd><input type="password" name="password2" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>Email Address:</label></dt>
            <dd><input type="text" name="email" class="required" /></dd>
        </dl>
        <dl>
            <dt><label>&nbsp;</label></dt>
            <dd><button type="submit">Register</button></dd>
        </dl>
    </form>
<?php endif; ?>
