<h3>New this Version</h3>
<ol>
    <li>Added the ability to associate an Ad with a specific Page and/or position on a page.</li>
    <li>Added the ability to make an Ad exclusive for a particular position on a page.</li>
    <li>Bug fix to prevent duplicate ads being created when editing a newly created ad</li>
    <li>Bug fix for unexpected output during activation</li>
    <li>Removed the items that have some missing functionality</li>
</ol>
<h3>Using Admangler</h3>
<ol>
    <li>Please Report Any Bugs Found to: <strong><a href="mailto:bugs@webternals.com">bugs@webternals.com</a></strong><br /></li>
    <li>
        <b>ShortCode Support:</b> <em>(The built in wordpress shortcode feature)</em><br />
        [AdMangler width="468" height="60"]<br />
        [AdMangler width="468" height="60" position="1"] (Position is optional; Don't use 0 as it is the default and you want get the result you are looking for)<br />
    </li>
    <li>
        <b>Template File Usage:</b>
        Using the PHP $adMangler object inside template files:<br>
        First you have to call the global AdMangler Object at the top of your template file.<br /><br />
        <b>global $adMangler;</b><br />
        <b>$adMangler->GetAd(array('width'=>125,'height'=>125,'return'=>false));</b><br>
        <b>$foobar = $adMangler->GetAd('width'=>125,'height'=>125));</b><br><br>
        (Deprecated Template File Usage): <br>
        <b>$adMangler->GetAds(<i>&lt;width&gt;</i>, <i>&lt;height&gt;</i>, false);</b><br>
        <b>$foobar = $adMangler->GetAds(<i>&lt;width&gt;</i>, <i>&lt;height&gt;</i>);</b><br>
    </li>
    <li>
        <b>AdMangler Widget:</b> (On the Wordpress Backend)<br>
        <i>Appearance -> Widgets -> AdMangeler Widget</i>
    </li>
</ol>

<div style="padding:40px;">
    <h3>Donations</h3>
    I hate soliciting for donations but the fact is that developing a plugin takes time, and time is very valuable to all of us. 
    If you are one of the lucky few to have some extra cash on hand ... $1, $2, $5, maybe even $10 ... you could help keep this project alive
    by giving a small donation. Your donation will not only help this plugin but will help pave the way for new plugin development from Webternals, LLC. 
    <br>
    <div style="text-align:center;">
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
        <input type="hidden" name="cmd" value="_s-xclick">
        <input type="hidden" name="hosted_button_id" value="8E8PU9FKLLGAJ">
        <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
        <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
        </form>
    </div>
</div>



